%define prefix %{_prefix}

Summary:	Automatic mount of new/transitting hard disks and related devices
Name:		transitmount
Version:	0.5
Release:	1
Packager:	Stphane Gourichon <stephane.gourichon@lip6.fr>
URL:	http://transitmount.sourceforge.net/
Copyright:	GPL
Group:	System/Configuration
Requires: chkconfig >= 0.9
Source:	transitmount-0.5.tar.gz
BuildArchitectures:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%description
Simple rack/removable hard disk management. Mounts partitions (and kernel-supported partition-like devices, like flash memory cards, digital camera...) not mentioned in fstab, possibly using their volume name as mount point.

Useful to handle automatically new/transitting hard disk (friends who
come with their hard disk).

Fully automatic, no configuration necessary.
Directoried are created and partitions mounted under /mnt/transit.

%description -l fr
Gestion automatise de l'ajout/suppression de disques durs.
Particulirement pratique pour les possesseurs de tiroirs amovibles (IDE ou SCSI).

Transitmount monte tout ce que le noyau reconnat comme une partition (inclut les cartes de mmoire flash, certains appareils photo numriques) et qui n'est pas marqu comme dj gr par ailleurs. Si un nom de volume est disponible, il est utilis.

Entirement automatique, aucune configuration ncessaire.
Les partitions sont montes (et des rpertoires crs au besoin) sous /mnt/transit.

%prep
%setup
./configure
%build
%install
#make prefix=%{prefix} PREFIX=%{prefix} DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install

%post
test ! -d /mnt/transitmount && mkdir -p /mnt/transitmount
/sbin/chkconfig --add transitmount
/etc/rc.d/init.d/transitmount start

%preun
if [ "$1" = 0 ]
then
	/etc/rc.d/init.d/transitmount stop >&2
	/sbin/chkconfig --del transitmount
fi

%files

%config /etc/rc.d/init.d/transitmount
%defattr(-,root,root)
/usr/*
